Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class ConstantScoreQuery.ConstantScorer

    java.lang.Object
      org.apache.lucene.search.DocIdSetIterator
          org.apache.lucene.search.Scorer
              org.apache.lucene.search.ConstantScoreQuery.ConstantScorer

Enclosing class:
  ConstantScoreQuery

    protected class ConstantScoreQuery.ConstantScorer

extends Scorer

Constructor Summary
`ConstantScoreQuery.ConstantScorer(Similarity similarity, IndexReader reader, Weight w)`

Method Summary
`int` | `doc()` Returns the current document number.
`Explanation` | `explain(int doc)` Returns an explanation of the score for a document.
`boolean` | `next()` Moves to the next docId in the set.
`float` | `score()` Returns the score of the current document matching the query.
`boolean` | `skipTo(int target)` Skips entries to the first beyond the current whose document number is greater than or equal to target.

Methods inherited from class org.apache.lucene.search.Scorer
`getSimilarity, score, score`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstantScoreQuery.ConstantScorer

    public ConstantScoreQuery.ConstantScorer(Similarity similarity,
                                             IndexReader reader,
                                             Weight w)
                                      throws IOException

Throws:
  `IOException`

Method Detail

### next

    public boolean next()
                 throws IOException

  Description copied from class: `DocIdSetIterator`
  Moves to the next docId in the set. Returns true, iff there is such a docId.

  Specified by:
    `next` in class `DocIdSetIterator`
  Throws:
    `IOException`

### doc

    public int doc()

  Description copied from class: `DocIdSetIterator`
  Returns the current document number.

  This is invalid until `DocIdSetIterator.next()` is called for the first time.

  Specified by:
    `doc` in class `DocIdSetIterator`

### score

    public float score()
                throws IOException

  Description copied from class: `Scorer`
  Returns the score of the current document matching the query. Initially invalid, until `DocIdSetIterator.next()` or `DocIdSetIterator.skipTo(int)` is called the first time.

  Specified by:
    `score` in class `Scorer`
  Throws:
    `IOException`

### skipTo

    public boolean skipTo(int target)
                   throws IOException

  Description copied from class: `DocIdSetIterator`
  Skips entries to the first beyond the current whose document number is greater than or equal to target.

  Returns true iff there is such an entry.

  Behaves as if written:

         boolean skipTo(int target) {
           do {
             if (!next())
               return false;
           } while (target > doc());
           return true;
         }

  Some implementations are considerably more efficient than that.

  Specified by:
    `skipTo` in class `DocIdSetIterator`
  Throws:
    `IOException`

### explain

    public Explanation explain(int doc)
                        throws IOException

  Description copied from class: `Scorer`
  Returns an explanation of the score for a document.
  When this method is used, the `DocIdSetIterator.next()`, `DocIdSetIterator.skipTo(int)` and `Scorer.score(HitCollector)` methods should not be used.

  Specified by:
    `explain` in class `Scorer`
  Parameters:
    `doc` - The document number for the explanation.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.